Supported Browsers

Note

Skuid supports building on the Windows and macOS operating systems.

In the App Composer

When building in the App Composer, where Skuid pages are created and configured, Skuid supports the following browsers:

Skuid Platform [[]]

Building on Skuid Platform is compatible with the following browsers:

  • Google Chrome (most recent stable version)
  • Microsoft Edge (most recent stable version)
  • Mozilla Firefox (most recent stable version)
  • Apple Safari version 12.x

Skuid on Salesforce [[]]

Skuid on Salesforce (used with Salesforce Classic)

Building with Skuid + Salesforce Classic respects the Salesforce browser requirements:

  • Google Chrome (most recent stable version)
  • Microsoft Edge (most recent stable version)
  • Mozilla Firefox (most recent stable version)
  • Apple Safari version 10.x

Known limitations

  • There are limitations to Salesforce Classic when using Microsoft Internet Explorer, Microsoft Edge, and Apple Safari. Learn more.

Skuid on Salesforce (used with Lightning Experience)

Building with Skuid + Salesforce Lightning respects the Lightning browser requirements:

  • Google Chrome (most recent stable version)
  • Microsoft Edge (most recent stable version)
  • Mozilla Firefox (most recent stable version)
  • Apple Safari version 10.x

Known limitations

  • There are limitations to the Lightning Experience when using Microsoft Internet Explorer, Microsoft Edge, Mozilla FireFox, and Apple Safari. Learn more.

At Runtime

At runtime, when Skuid pages are rendered for use by an end user, Skuid supports the following browsers:

Skuid Platform [[]]

Skuid Platform is compatible with the following browsers:

  • Google Chrome (most recent stable version)
  • Microsoft Internet Explorer (most recent stable version)
  • Microsoft Edge (most recent stable version)
  • Mozilla Firefox (most recent stable version)
  • Apple Safari version 12.x

Skuid on Salesforce [[]]

Skuid on Salesforce (used with Salesforce Classic)

Skuid used with Salesforce Classic respects the Salesforce browser requirements:

  • Google Chrome (most recent stable version)
  • Microsoft Internet Explorer (most recent stable version)
  • Microsoft Edge (most recent stable version)
  • Mozilla Firefox (most recent stable version)
  • Apple Safari version 10.x

Known limitations

  • There are limitations to Salesforce Classic when using Microsoft Internet Explorer, Microsoft Edge, and Apple Safari. Learn more.

Skuid on Salesforce (used with Lightning Experience)

Skuid used with Lightning Experience respects the Lightning browser requirements:

  • Google Chrome (most recent stable version)
  • Microsoft Internet Explorer version 11
  • Microsoft Edge (most recent stable version)
  • Mozilla Firefox (most recent stable version)
  • Apple Safari version 10.x

Known limitations

  • There are limitations to the Lightning Experience when using Microsoft Internet Explorer, Microsoft Edge, Mozilla FireFox, and Apple Safari. Learn more.